Package com.independentsoft.graph.users

# Enum Class PresenceActivity

java.lang.Object
java.lang.Enum<PresenceActivity>
com.independentsoft.graph.users.PresenceActivity

All Implemented Interfaces:
  `Serializable`, `Comparable<PresenceActivity>`, `Constable`

public enum PresenceActivity extends Enum<PresenceActivity>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AVAILABLE`
  `AWAY`
  `BE_RIGHT_BACK`
  `BUSY`
  `DO_NOT_DISTURB`
  `IN_A_CALL`
  `IN_A_CONFERENCE_CALL`
  `IN_A_MEETING`
  `INACTIVE`
  `OFF_WORK`
  `OFFLINE`
  `OUT_OF_OFFICE`
  `PRESENCE_UNKNOWN`
  `PRESENTING`
  `URGENT_INTERRUPTIONS_ONLY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PresenceActivity`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static PresenceActivity[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AVAILABLE

    public static final PresenceActivity AVAILABLE

  - ### AWAY

    public static final PresenceActivity AWAY

  - ### BE_RIGHT_BACK

    public static final PresenceActivity BE_RIGHT_BACK

  - ### BUSY

    public static final PresenceActivity BUSY

  - ### DO_NOT_DISTURB

    public static final PresenceActivity DO_NOT_DISTURB

  - ### IN_A_CALL

    public static final PresenceActivity IN_A_CALL

  - ### IN_A_CONFERENCE_CALL

    public static final PresenceActivity IN_A_CONFERENCE_CALL

  - ### INACTIVE

    public static final PresenceActivity INACTIVE

  - ### IN_A_MEETING

    public static final PresenceActivity IN_A_MEETING

  - ### OFFLINE

    public static final PresenceActivity OFFLINE

  - ### OFF_WORK

    public static final PresenceActivity OFF_WORK

  - ### OUT_OF_OFFICE

    public static final PresenceActivity OUT_OF_OFFICE

  - ### PRESENCE_UNKNOWN

    public static final PresenceActivity PRESENCE_UNKNOWN

  - ### PRESENTING

    public static final PresenceActivity PRESENTING

  - ### URGENT_INTERRUPTIONS_ONLY

    public static final PresenceActivity URGENT_INTERRUPTIONS_ONLY

- ## Method Details

  - ### values

    public static PresenceActivity[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PresenceActivity valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null